.header {
    position: fixed;
    width: 100%;
    z-index: 12;

    &--black {
        .header {
            &__logo {
                background-image: url("/content/themes/romin-2020/assets/images/logo-black.svg");
            }
        }

        .hamburger {
            &__menu {
                background-color: $black;
                border-color: $black;
            }
        }
    }

    &--white-and-black {
        .header {
            &__logo {
                background-image: url("/content/themes/romin-2020/assets/images/logo-white.svg");
            }
        }

        .hamburger {
            &__menu {
                background-color: $black;
                border-color: $black;
            }
        }
    }

    &__logo {
        top: 2em;
        width: 2.75em;
        height: 2.75em;
        position: absolute;
        background-position: center center;
        background-repeat: no-repeat;
        background-image: url("/content/themes/romin-2020/assets/images/logo-white.svg");
        opacity: 0;
        transition: all 0.5s ease;

        &--show {
            transition: all 0.5s ease;
            opacity: 1;
        }

        @media (min-width: $md) {
            top: 2.5em;
            width: 3em;
            height: 3em;
        }
    }
}
